Subject: RE: Help compiling vim
From: [email-masked] (Kevin Schnitzius)

11 Feb 1998 16:58:16 -0800
Message-ID: <000ED2C2552CD111AADE00A0C96CA75B4C352B.cygnus.gnu-win32@MISMAIL2>
To: "[email-masked]'" <[email-masked]>
Cc: [email-masked]

> -----Original Message-----
> From:	Fabrizio Lodi [SMTP:[email-masked]]
> Sent:	Wednesday, February 11, 1998 3:17 AM
> To:	Kevin Schnitzius
> Cc:	[email-masked]
> Subject:	Re: Help compiling vim
> 
> Kevin Schnitzius wrote:
> > > From: Fabrizio Lodi [SMTP:[email-masked]]
> > >
> > > I'm compiled vim. It works, ehm, sort of. It scrolls up, but not
down.
> > >
> > > Yes, I've compiled ncurses myself, and they seems working. Less
work
> > > well (compiled by me after ncurses).
> > >
> > *       Suggestions? Thanx!
> > 
> > Make sure you install the terminfo database correctly.  Do a 'make
> > install.data' in the ncurses directory.
> 
> Ok. So the problem is what I think. But when I tryi to install
terminfo
> I get:
> 
> bash$ make install.data
> cd misc; make  INSTALL_PREFIX="" install.data
> sh ./run_tic.sh /usr/local/bin . /usr/local/share/terminfo
> ** Building terminfo database, please wait...
> ** adjusting tabset paths
> "/tmp/1006", line 270, terminal 'unknown': resolution of use=dumb
failed
> "/tmp/1006", line 774, terminal 'iris-ansi-ap': resolution of
> use=iris-ansi failed
> "/tmp/1006", line 919, terminal 'pcvt25': resolution of use=pcvtXX
> failed
> "/tmp/1006", line 922, terminal 'pcvt28': resolution of use=pcvtXX
> failed
> "/tmp/1006", line 925, terminal 'pcvt35': resolution of use=pcvtXX
> failed
> "/tmp/1006", line 928, terminal 'pcvt40': resolution of use=pcvtXX
> failed
> "/tmp/1006", line 931, terminal 'pcvt43': resolution of use=pcvtXX
> failed
> "/tmp/1006", line 934, terminal 'pcvt50': resolution of use=pcvtXX
> failed
> 
> ans so on, until it finish all the terminal names and say that it
failed
> to install.
> 
*	What is my mistake?

This is probably caused by CRLF at the end of lines instead of just CR.
Make sure you have run tr or gsar to remove them from all the source
files.

Kevin
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".